| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Public Member Functions | Public Attributes | List of all members
nkScripts::ScriptObjectView Class Referencefinal

A view over an object in the scripting environment. More...

## Public Member Functions
| ScriptObjectView () noexcept
| ScriptObjectView (const ScriptObjectView &other) noexcept
| ScriptObjectView (ScriptObjectView &&other) noexcept
| ~ScriptObjectView ()
void | reset (nkMemory::UniquePtr< ScriptObjectInterpreterView > view)
ScriptObjectView & | operator= (const ScriptObjectView &other) noexcept
ScriptObjectView & | operator= (ScriptObjectView &&other) noexcept

## Public Attributes
nkMemory::UniquePtr< ScriptObjectInterpreterView > | _view
| The interpreter specific data for a view over a script object.

## Detailed Description

A view over an object in the scripting environment.

Doesn't touch anything related to reference counting, but used to reconstruct references that will impact the reference counting.

In theory, this class should never be used by external code.

## Constructor & Destructor Documentation

## ◆ ScriptObjectView() [1/3]

nkScripts::ScriptObjectView::ScriptObjectView | ( |  | ) |
| noexcept

Constructor.

## ◆ ScriptObjectView() [2/3]

nkScripts::ScriptObjectView::ScriptObjectView | ( | const ScriptObjectView & | other | ) |
| noexcept

Copy constructor.

Parameters

  other | The view to copy over.

## ◆ ScriptObjectView() [3/3]

nkScripts::ScriptObjectView::ScriptObjectView | ( | ScriptObjectView && | other | ) |
| noexcept

Move constructor.

Parameters

  other | The view to move over.

## ◆ ~ScriptObjectView()

nkScripts::ScriptObjectView::~ScriptObjectView | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ reset()

void nkScripts::ScriptObjectView::reset | ( | nkMemory::UniquePtr< ScriptObjectInterpreterView > | view | ) |

Resets the view with a new view.

Parameters

  view | The new interpreter view to use.

## ◆ operator=() [1/2]

ScriptObjectView& nkScripts::ScriptObjectView::operator= | ( | const ScriptObjectView & | other | ) |
| noexcept

Copy assignment operator.

Parameters

  other | The view to copy over.

## ◆ operator=() [2/2]

ScriptObjectView& nkScripts::ScriptObjectView::operator= | ( | ScriptObjectView && | other | ) |
| noexcept

Move assignment operator.

Parameters

  other | The view to move over.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsScripts/Environments/ScriptObjects/ScriptObjectView.h